## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# Enable tests everywhere except EPEL 9, where python-pytest-aiohttp is not backported.
%if 0%{?el9} || 0%{?centos} >= 9
%bcond_with    tests
%else
%bcond_without tests
%endif

%global         srcname     azure-data-tables

Name:           python-%{srcname}
Version:        12.2.0
Release:        %autorelease
Summary:        Microsoft Azure Azure Data Tables Client Library for Python
License:        MIT
URL:            https://pypi.org/project/%{srcname}/
# NOTE(mhayden): Upstream does not include some of the testing VCR cassettes in their
# code released to PyPi because it makes their archive really large. Because of this,
# about half of the tests fail. 😭
# This source comes from making a git archive of the main azure-sdk-for-python
# repository. To reproduce the source code, run these commands:
#
#   git clone https://github.com/azure/azure-sdk-for-python
#   cd azure-sdk-for-python
#   export VERSION=12.2.0
#   git archive --format tar.gz --prefix=azure-data-tables-${VERSION}/ azure-data-tables_${VERSION}:sdk/tables/azure-data-tables \
#     > azure-data-tables-$VERSION.tgz
#
Source0:        azure-data-tables-12.2.0.tgz

# Version 12.2.0 does not have a license file, but version 12.3.0 has the same license
# file as the other SDK packages.
Source1:        https://raw.githubusercontent.com/Azure/azure-sdk-for-python/0b5d7ae6e9af3c45d59dacc7966949d0dd6911e3/sdk/tables/azure-data-tables/LICENSE

BuildArch:      noarch

BuildRequires:  python3-devel

%if %{with tests}
BuildRequires:  python3-azure-sdk-tools
BuildRequires:  python3dist(azure-devtools)
BuildRequires:  python3dist(azure-identity)
BuildRequires:  python3dist(azure-mgmt-cosmosdb)
BuildRequires:  python3dist(azure-mgmt-keyvault)
BuildRequires:  python3dist(azure-mgmt-resource)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest-aiohttp)
BuildRequires:  python3dist(pytest-asyncio)
BuildRequires:  python3dist(python-dateutil)
BuildRequires:  python3dist(python-dotenv)
%endif

%global _description %{expand:
Microsoft Azure Azure Data Tables Client Library for Python}

%description %{_description}


%package -n python3-%{srcname}
Summary:        %{summary}
%description -n python3-%{srcname} %{_description}


%prep
%autosetup -n %{srcname}-%{version}
cp %{SOURCE1} .


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files azure


%if %{with tests}
%check
# NOTE(mhayden): The tests which require network access carry the "live_test_only"
# marker and we skip those here. It's only about 5-10% of the total tests.
%pytest -m "not live_test_only" --disable-warnings
%endif


%files -n python3-%{srcname} -f %{pyproject_files}
%doc README.md CHANGELOG.md samples/


%changelog
* Fri Apr 29 2022 Major Hayden <major@mhtx.net> 12.2.0-3
- Fix typo

* Fri Apr 29 2022 Major Hayden <major@mhtx.net> 12.2.0-2
- Skip tests in EPEL 9 temporarily

* Thu Apr 07 2022 Major Hayden <major@mhtx.net> 12.2.0-1
- Initial import (#2072531)
